import org.junit.Assert;
import org.junit.Test;

public class ArrayListTest {

    ArrayList list = new ArrayList();
    ArrayList list2 = new ArrayList(5);

    @Test
    public void sizeTest(){
        int expected = 5;
        int actual = list2.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void addTestInt(){
        list.add(3);
        int expected = 1;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void addTestString(){
        list.add("string");
        int expected = 1;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
     public void addAtIndex(){
        list.add("he");
        list.add("wh");
        list.add("si");
        list.add("dsfdsfd");
        list.add(2,"what");
        String expected="what";
        Object actual = list.get(2);
        System.out.println(list.get(2));
        Assert.assertEquals(expected, actual);
}

    @Test
    public void getTestInt(){
        list.add(54);
        Integer expected = 54;
        Object actual = list.get(0);
        Assert.assertEquals(expected, actual);
    }
    @Test
    public void getTestString(){
        list.add("string");
        String expected = "string";
        Object actual = list.get(0);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void removeIntTest(){
        list.add(9);
        list.add(3);
        list.add(5);
        list.add(4);
        list.remove(2);
        int expected = 3;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void removeStringTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        list.add("dsfdsfd");
        list.remove(3);
        int expected = 3;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void setIntTest(){
        list.add(9);
        list.add(3);
        list.add(5);
        list.add(4);
        list.set(2,6);
        Object expected=6;
        Object actual = list.get(2);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void setStringTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        list.add("dsfdsfd");
        list.set(2,"hola");
        Object expected="hola";
        Object actual = list.get(2);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void clearIntTest() {
        list.add(9);
        list.add(3);
        list.add(5);
        list.add(4);
        list.clear();
        int expected=0;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void clearStringTest() {
        list.add("he");
        list.add("wh");
        list.add("si");
        list.add("dsfdsfd");
        list.clear();
        int expected=0;
        int actual = list.size();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void emptyTrueTest(){
        boolean actual = list.isEmpty();
        Assert.assertTrue(actual);
    }

    @Test
    public void emptyFalseTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        boolean actual = list.isEmpty();
        Assert.assertFalse(actual);
    }

    @Test
    public void containsTrueTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        boolean actual = list.contains("wh");
        Assert.assertTrue(actual);
    }

    @Test
    public void containsFalseTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        boolean actual = list.contains("ll");
        Assert.assertFalse(actual);
    }

    @Test
    public void indexOfTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        int expected = 2;
        int actual = list.indexOf("si");
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void indexOfNoTest(){
        list.add("he");
        list.add("wh");
        list.add("si");
        int expected = -1;
        int actual = list.indexOf("oo");
        Assert.assertEquals(expected, actual);
    }

}
